SystemOrganization addCategory: #ConfigurationOfTextLint!

Object subclass: #ConfigurationOfTextLint
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfTextLint'!

!ConfigurationOfTextLint class methodsFor: 'private' stamp: 'FabrizioPerin 4/6/2010 11:07'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfTextLint class methodsFor: 'metacello tool support' stamp: 'FabrizioPerin 4/6/2010 11:07'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfTextLint class methodsFor: 'loading' stamp: 'FabrizioPerin 4/6/2010 11:18'!
loadDefault
	
	Transcript open.
	Transcript show: 'Loading TextLint configuration ...'; cr; show: '--------'; cr; cr.
	
	(self project version: 'default') load.

	Transcript show: ''; cr; show: 'TextLint configuration loaded. Have fun!!'; cr.
! !

!ConfigurationOfTextLint class methodsFor: 'accessing' stamp: 'FabrizioPerin 4/6/2010 11:07'!
project

	^self new project! !

!ConfigurationOfTextLint methodsFor: 'baselines' stamp: 'FabrizioPerin 4/7/2010 17:20'!
default: spec 
	<version: 'default'>
	
	spec for: #common do: [
		spec blessing: #default.
		spec 
			package: 'PetitParser' with: [spec repository: 'http://source.lukas-renggli.ch/petit'];
			package: 'Merlin' with: [spec repository: 'http://www.squeaksource.com/Merlin'];
			package: 'TextLint' with: [
				spec repository: 'http://www.squeaksource.com/textlint'.
				spec requires: 'PetitParser']].! !

!ConfigurationOfTextLint methodsFor: 'accessing' stamp: 'FabrizioPerin 4/6/2010 11:07'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !
